Name:       eureka
Version:    1.00
Release:    8%{?dist}
Summary:    A cross-platform map editor for the classic DOOM games

Group:      Applications/Editors
License:    GPLv2
URL:        http://eureka-editor.sourceforge.net
Source0:    http://downloads.sourceforge.net/project/eureka-editor/Eureka/%{version}/%{name}-%{version}-source.tar.gz

BuildRequires:  fltk-devel
BuildRequires:  libXft-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  xdg-utils
BuildRequires:  libGL-devel


%description
Eureka is a cross-platform map editor for the classic DOOM games.

It started when the ported the Yadex editor to a proper GUI toolkit, namely
FLTK, and implemented a system for multi-level Undo / Redo. These and other
features have required rewriting large potions of the existing code, and adding
lots of new code too. Eureka is now an independent program with its own
work-flow and its own quirks.


%prep
%setup -q
# omit stripping the binaries and prevent installing as root
%{__sed} -i \
  -e "s|install: stripped|install:|" \
  -e "s|-o root||g" \
  Makefile


%build
make %{?_smp_mflags} OPTIMISE="$RPM_OPT_FLAGS"


%install
%{__mkdir_p} %{buildroot}%{_bindir}
make install INSTALL_PREFIX="%{buildroot}%{_prefix}"


%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%doc AUTHORS.txt CHANGES.txt GPL.txt README.txt TODO.txt


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 15 2015 Rex Dieter <rdieter@fedoraproject.org> 1.00-5
- rebuild (fltk)

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.00-4
- Rebuilt for GCC 5 C++11 ABI change

* Sun Sep 8 2013 Jay Greguske <brolem@gmail.com> 1.00-3
- add changes from Ralf Corsepius during review

* Thu Sep 5 2013 Jay Greguske <brolem@gmail.com> 1.00-2
- incorporate a few suggestions from Christopher Meng

* Mon Aug 26 2013 Jay Greguske <brolem@gmail.com> 1.00-1
- Initial import from upstream 1.00 release
